Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchChkData

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchChkData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchChkData

extends java.lang.Object
implements EPPCodecComponent

The extension to a response to a claims check command.

See Also:
  `EPPLaunchCheck`, `EPPLaunchCheckResult`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the launch phase check response
`static java.lang.String` | `ELM_NAME` Constant for the launch phase info extension tag

Constructor Summary
`EPPLaunchChkData()` `EPPLaunchCheckResp` default constructor.
`EPPLaunchChkData(EPPLaunchCheckResult aResult)` `EPPLaunchCheckResp` constructor that will set the result of an individual domain without a phase.
`EPPLaunchChkData(EPPLaunchPhase aPhase)` `EPPLaunchCheckResp` constructor that takes only the `transId` attribute.
`EPPLaunchChkData(EPPLaunchPhase aPhase, EPPLaunchCheckResult aResult)` `EPPLaunchCheckResp` constructor that will set the result of an individual domain.
`EPPLaunchChkData(EPPLaunchPhase aPhase, java.util.List<EPPLaunchCheckResult> aResults)` `EPPLaunchCheckResp` constructor that will set the result of multiple domains.
`EPPLaunchChkData(java.util.List<EPPLaunchCheckResult> aResults)` `EPPLaunchCheckResp` constructor that will set the result of multiple domains without a phase.

Method Summary
`void` | `addCheckResult(EPPLaunchCheckResult aResult)` Add a claims check result to the list of results.
`java.lang.Object` | `clone()` Clone `EPPLaunchCheckResp`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPLaunchCheckResp` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPLaunchCheckResp` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchCheckResp` compare.
`java.util.List<EPPLaunchCheckResult>` | `getCheckResults()` Get the results of a `EPPLaunchCheckResp` Response.
`java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPLaunchCheckResp`.
`EPPLaunchPhase` | `getPhase()` Gets phase of the check response.
`java.lang.String` | `getType()` Get the EPP response type associated with `EPPLaunchCheckResp` .
`boolean` | `hasPhase()` Is the phase defined?
`void` | `setCheckResult(EPPLaunchCheckResult aResult)` Sets the claims result of an individual domain name.
`void` | `setCheckResults(java.util.List<EPPLaunchCheckResult> aResults)` Set the results of a `EPPLaunchCheckResp` Response.
`void` | `setPhase(EPPLaunchPhase aPhase)` Sets the phase of the check response.
`void` | `setPhase(java.lang.String aPhaseString)` Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the launch phase check response

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the launch phase info extension tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchChkData

    public EPPLaunchChkData()

  `EPPLaunchCheckResp` default constructor. The results list will be empty.

### EPPLaunchChkData

    public EPPLaunchChkData(EPPLaunchPhase aPhase)

  `EPPLaunchCheckResp` constructor that takes only the `transId` attribute.

  Parameters:
    `aPhase` - One of the `EPPLaunchPhase` `PHASE` constants.

### EPPLaunchChkData

    public EPPLaunchChkData(EPPLaunchCheckResult aResult)

  `EPPLaunchCheckResp` constructor that will set the result of an individual domain without a phase.

  Parameters:
    `aResult` - Result of a single domain name.

### EPPLaunchChkData

    public EPPLaunchChkData(java.util.List<EPPLaunchCheckResult> aResults)

  `EPPLaunchCheckResp` constructor that will set the result of multiple domains without a phase.

  Parameters:
    `aResults` - List of claims check results

### EPPLaunchChkData

    public EPPLaunchChkData(EPPLaunchPhase aPhase,
                            EPPLaunchCheckResult aResult)

  `EPPLaunchCheckResp` constructor that will set the result of an individual domain.

  Parameters:
    `aPhase` - One of the `EPPLaunchPhase` `PHASE` constants.
    `aResult` - Result of a single domain name.

### EPPLaunchChkData

    public EPPLaunchChkData(EPPLaunchPhase aPhase,
                            java.util.List<EPPLaunchCheckResult> aResults)

  `EPPLaunchCheckResp` constructor that will set the result of multiple domains.

  Parameters:
    `aPhase` - One of the `EPPLaunchPhase` `PHASE` constants.
    `aResults` - List of claims check results

Method Detail

### getType

    public java.lang.String getType()

  Get the EPP response type associated with `EPPLaunchCheckResp` .

  Returns:
    EPPLaunchCheckResp.ELM_NAME

### getNamespace

    public java.lang.String getNamespace()

  Get the EPP command Namespace associated with `EPPLaunchCheckResp`.

  Returns:
    `EPPLaunchMapFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchCheckResp` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchCheckResp` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchCheckResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchCheckResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### hasPhase

    public boolean hasPhase()

  Is the phase defined?

  Returns:
    `true` if the phase is defined; `false` otherwise.

### getPhase

    public EPPLaunchPhase getPhase()

  Gets phase of the check response.

  Returns:
    phase of the check response if set; `null` otherwise.

### setPhase

    public void setPhase(EPPLaunchPhase aPhase)

  Sets the phase of the check response.

  Parameters:
    `aPhase` - One of the `EPPLaunchPhase` `PHASE` constants.

### setPhase

    public void setPhase(java.lang.String aPhaseString)

  Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.

  Parameters:
    `aPhaseString` - One of the `EPPLaunchPhase` `PHASE` constants.

### getCheckResults

    public java.util.List<EPPLaunchCheckResult> getCheckResults()

  Get the results of a `EPPLaunchCheckResp` Response. There is one `EPPLaunchCheckResult` instance in `this.results` for each domain requested in the Claims Check Command.

  Returns:
    List of results if defined; empty list otherwise.

### setCheckResults

    public void setCheckResults(java.util.List<EPPLaunchCheckResult> aResults)

  Set the results of a `EPPLaunchCheckResp` Response. There is one `EPPLaunchCheckResult` instance in `this.results` for each domain requested in the Claims Check Command.

  Parameters:
    `aResults` - List of claims check results

### addCheckResult

    public void addCheckResult(EPPLaunchCheckResult aResult)

  Add a claims check result to the list of results.

  Parameters:
    `aResult` - Claims check result to add to the list.

### setCheckResult

    public void setCheckResult(EPPLaunchCheckResult aResult)

  Sets the claims result of an individual domain name.

  Parameters:
    `aResult` - Claims check result to set

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPLaunchCheckResp` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPLaunchCheckResp` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPLaunchCheckResp` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPLaunchCheckResp` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPLaunchCheckResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.